## org.eclipse.datatools.sqltools.plan
Interface IExecutionPlanDocument

All Known Implementing Classes:
  TreeExecutionPlanDocument

    public interface IExecutionPlanDocument

This is the model for drawing purpose. An instance of this interface renders a step (sub execution plan) in a multiple steps execution plan, for example, the execution plan of the following stored procedure has two steps:

       create procedure test_proc as
       begin
        select * from test_table
        select * from test_table1 where id = 5
       end

For a normal SQL query statement, there is only one step in the whole execution plan. For example, the following SQL statement has only one step:

       select * from test_table

Instance of this interface can be obtained through `IPlanParser`, `IPlanParser` can parse the raw data of execution plan into instances of `IExecutionPlanDocument`

`IPlanDrawer` can draw instance of this class on a `Canvas`

Author:
  Dafan Yang
See Also:
  `IPlanParser`

Method Summary
`java.lang.String` `getName()` Returns the name of this execution plan documemnt, this name will be displayed in combo box if there are multiple steps in an execution plan.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of this execution plan documemnt, this name will be displayed in combo box if there are multiple steps in an execution plan.

  Returns:
    the name of this document